php installation mit imap will nicht

Bash, Shell, PHP, Python, Perl, CGI
recoilmaster
Posts: 188
Joined: 2003-10-02 10:35

php installation mit imap will nicht

Post by recoilmaster »

Hi !

Wenn ich php mit imap installieren will bekomm ich folgende Meldung.

checking whether IMAP works... no
configure: error: build test failed. Please check the config.log for details.

ich hab das imap,imap-lib und imap-devel suse rpm package installiert.

Weiss eienr wodrann es liegen könnte ?

Danke

Bye Keule
jtb
Posts: 599
Joined: 2002-08-18 16:41
Location: Darmstadt

Re: php installation mit imap will nicht

Post by jtb »

Please check the config.log for details. :roll:
recoilmaster
Posts: 188
Joined: 2003-10-02 10:35

Re: php installation mit imap will nicht

Post by recoilmaster »

Bin wohl gerade der,der am meisten SUpport braucht. Zum Glück verlangt ihr kein Geld :)

Code: Select all

configure:39048: checking for IMAP support
configure:39406: checking for pam_start in -lpam
configure:39425: gcc -o conftest -g -O2   conftest.c -lpam  -lresolv -lm -ldl -lnsl  1>&5
/usr/lib/gcc-lib/i486-suse-linux/3.2/../../../../i486-suse-linux/bin/ld: cannot find -lpam
collect2: ld returned 1 exit status
configure: failed program was:
#line 39414 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char pam_start()
jtb
Posts: 599
Joined: 2002-08-18 16:41
Location: Darmstadt

Re: php installation mit imap will nicht

Post by jtb »

ld: cannot find -lpam
[x] pam-libs sind nicht installiert..
recoilmaster
Posts: 188
Joined: 2003-10-02 10:35

Re: php installation mit imap will nicht

Post by recoilmaster »

Auf dem Pam ftp gibts nur Pam an sich "ftp://ftp.kernel.org/pub/linux/libs/pam ... .77.tar.gz"

nach der Installation habe ich aber immernoch das selbe problem.
jtb
Posts: 599
Joined: 2002-08-18 16:41
Location: Darmstadt

Re: php installation mit imap will nicht

Post by jtb »

äähm, du hast doch ein SuSe-System?

Dann würde ich dafür Yast benutzen..
recoilmaster
Posts: 188
Joined: 2003-10-02 10:35

Re: php installation mit imap will nicht

Post by recoilmaster »

dafür brauch ich aber das package für suse und das find ich niergends nur red hat *_*